Create form template
POST
/administration/form-templatesAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsoncategoryIdstringrequireddescriptionstringiconobject | nullnamestringrequiredtagsstring[]Tag IDs (UUIDs) of type form-template. List or create tags via GET/POST `tags/form-template/list` and `tags/form-template/create`.
Responses
201
successbooleanrequiredOperation success flag
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/administration/form-templates" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
}'const response = await fetch("https://leadtime.app/api/public/administration/form-templates", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
})
});import requests
response = requests.post(
"https://leadtime.app/api/public/administration/form-templates",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
json={
"categoryId": "string",
"description": "string",
"icon": {},
"name": "string",
"tags": [
"string"
]
},
)Response
{
"success": true
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions